Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[solved]question about use flags
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Installing Gentoo
View previous topic :: View next topic  
Author Message
skorefish
Apprentice
Apprentice


Joined: 21 Jun 2015
Posts: 281

PostPosted: Fri Aug 21, 2015 7:55 pm    Post subject: [solved]question about use flags Reply with quote

hello, I'm trying to install wpa_supplicant and get this messages
Code:

The ebuild selected to satisfy ">=net-nds/openldap-2.4.38-r1[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?, abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]" has unmet requirements.
- net-nds/openldap-2.4.38-r2::gentoo USE="berkdb crypt cxx ipv6 minimal ssl syslog tcpd -debug -experimental -gnutls -icu -iodbc -kerberos -odbc -overlays -perl -samba -sasl (-selinux) -slp -smbkrb5passwd" ABI_X86="64 -32 -x32"

  The following REQUIRED_USE flag constraints are unsatisfied:
    cxx? ( sasl )

(dependency required by "net-misc/curl-7.43.0::gentoo" [ebuild])
(dependency required by "dev-util/cmake-3.2.2::gentoo" [ebuild])
(dependency required by "app-text/poppler-0.32.0::gentoo" [ebuild])
(dependency required by "net-print/cups-2.0.3::gentoo" [ebuild])
(dependency required by "dev-qt/qtgui-4.8.6-r4::gentoo[cups]" [ebuild])
(dependency required by "dev-qt/qt3support-4.8.6-r1::gentoo" [ebuild])


What do I have to do w this ?


Last edited by skorefish on Sun Aug 23, 2015 3:45 pm; edited 1 time in total
Back to top
View user's profile Send private message
John R. Graham
Administrator
Administrator


Joined: 08 Mar 2005
Posts: 10263
Location: Somewhere over Atlanta, Georgia

PostPosted: Fri Aug 21, 2015 8:04 pm    Post subject: Reply with quote

Translated to English, that says, "If you have the cxx USE flag set, you must also have the sasl USE flag set, but you don't have the sasl USE flag set." What you do it up to you but you must either
  • Enable the sasl USE flag, or
  • Disable the cxx USE flag.
- John
_________________
I can confirm that I have received between 0 and 499 National Security Letters.
Back to top
View user's profile Send private message
skorefish
Apprentice
Apprentice


Joined: 21 Jun 2015
Posts: 281

PostPosted: Sun Aug 23, 2015 3:44 pm    Post subject: Reply with quote

thx John R. Graham, now I understand. And most important, it works :D
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Installing Gentoo All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum